> For the complete documentation index, see [llms.txt](https://docs.rierino.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rierino.com/devops/api-event-and-process-flows/configuring-saga-steps/event-step/flow-actions/trigger-runner-command.md).

# Trigger Runner Command

These actions provide ability to trigger commands through event streams.

## Trigger Runner Command Actions

{% hint style="info" %}
Unlike commands, events are not broadcast to all runners. Triggering a command with this handler causes only a single runner to execute the command.

This handler is mainly useful for development and testing when a single-partition runner is used and commands are not sent through Kafka topics.
{% endhint %}

### Command

Treats input payload as a command and executes it on the runner:

{% tabs %}
{% tab title="Fields (table)" %}

| Field          | Definition                             | Example | Default |
| -------------- | -------------------------------------- | ------- | ------- |
| Input Element  | Json path in payload to use            | command | -       |
| Output Element | Json path in payload to return results | result  | -       |
| {% endtab %}   |                                        |         |         |

{% tab title="Fields (JSON Schema)" %}

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "eventMeta": {
      "type": "object",
      "properties": {
        "inputElement": {
          "type": "string",
          "description": "Json path in payload to use",
          "examples": ["command"],
          "default": null
        },
        "outputElement": {
          "type": "string",
          "description": "Json path in payload to return results",
          "examples": ["result"],
          "default": null
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}

With event metadata parameters as:

{% tabs %}
{% tab title="Parameters (table)" %}

| Parameter     | Definition                            | Example | Default |
| ------------- | ------------------------------------- | ------- | ------- |
| Input Pattern | JMESPath expression to create command | -       | -       |
| {% endtab %}  |                                       |         |         |

{% tab title="Parameters (JSON Schema)" %}

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "eventMeta": {
      "type": "object",
      "properties": {
        "parameters": {
          "type": "object",
          "properties": {
            "inputPattern": {
              "type": "string",
              "description": "JMESPath expression to create command",
              "default": null
            }
          }
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rierino.com/devops/api-event-and-process-flows/configuring-saga-steps/event-step/flow-actions/trigger-runner-command.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
